#ifndef QCAMERAEXAMPLE_H
#define QCAMERAEXAMPLE_H

#include <QtGui>

#include <QCamera>

// QtMobility API
#include <QSystemScreenSaver>
QTM_USE_NAMESPACE

#include "myvideosurface.h"

/*****************************************************************************
* CameraExample
*/
class CameraExample: public QMainWindow, public VideoIF
{
Q_OBJECT

public:
    CameraExample(QWidget *parent = 0);
    ~CameraExample();

    void paintEvent(QPaintEvent*);

    void updateVideo();


public slots:
    void enableCamera();
    void error(QCamera::Error);
    void usePic1();
    void usePic2();

private:
    QWidget*                m_videoWidget;
    QCamera*                m_camera;

    QStackedWidget*         m_stackedWidget;
    QPushButton*            m_exit;
    QPushButton*            m_pic1;
    QPushButton*            m_pic2;

    MyVideoSurface*         m_myVideoSurface;
    QSystemScreenSaver*     m_systemScreenSaver;
};

#endif // QCAMERAEXAMPLE_H
